Bug 23056 - single-key in lilo.conf confuses lilo install
single-key in lilo.conf confuses lilo install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-31 04:10 EST by fred-m
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 12:26:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred-m 2000-12-31 04:10:53 EST
My lilo.conf had the following setup for Linux:
  label=new
  alias=l
  single-key
When I upgraded to Red Hat 7.0, I chose the default configuration
given by the installer ("dos" and "linux"). However "linux" clashed
with "alias=l", lilo didn't write the boot sector, and for short
the computer didn't boot after the update. Deleting the single-key
setup and re-running lilo from the CD-ROM in recovery mode solved
the problem.
     (If I was upgrading in "expert" mode I would even say that this
was my fault, but in non-expert mode it would be nice if this and
other lilo errors were caught).
Comment 1 Michael Fulbright 2001-01-03 18:21:19 EST
Assigning to a developer.
Comment 2 Erik Troan 2001-01-08 12:26:43 EST
Fixed in CVS
Comment 3 Brock Organ 2001-01-12 12:34:03 EST
using qa0110.0 internal test tree, verified system w/alias (as above) is now
bootable:

old lilo.conf:

boot=/dev/hda                                                                   
map=/boot/map                                                                   
install=/boot/boot.b                                                            
prompt                                                                          
timeout=50                                                                      
message=/boot/message                                                           
linear                                                                          
default=foobar                                                                                                                                                   
image=/boot/vmlinuz-2.2.16-22                                                    	
label=foobar                                                             	
read-only                                                                	
root=/dev/hda1                                                                                                                                            
image=/boot/vmlinuz-2.2.16-22                                                    	
label=new                                                                	
alias=l                                                                  	
single-key                                                               	
read-only                                                                	
root=/dev/hda1              

post upgrade lilo.conf:

boot=/dev/hda                                                                   
map=/boot/map                                                                   
install=/boot/boot.b                                                            
prompt                                                                          
timeout=50                                                                      
message=/boot/message                                                           
linear                                                                          
default=linux                                                                                                                                                    
image=/boot/vmlinuz-2.4.0-0.43.12                                                	
label=linux                                                              	
initrd=/boot/initrd-2.4.0-0.43.12.img                                    	
read-only                                                                	
root=/dev/hda1

Note that there is NO alias info in the upgraded lilo.conf, but the system is
bootable and the old version IS saved as /etc/lilo.conf.rpmsave ... so the next
release of Red Hat Linux will handle this condition better ... thanks for your
report!

Note You need to log in before you can comment on or make changes to this bug.